Skip to content

[Deprecated] Get the current phase of the WHUF token sale

Deprecated
GET
/whuffies/token-sale-state
curl --request GET \
--url https://api.ethos.network/api/v2/whuffies/token-sale-state

Returns a constant post-unlock state. This endpoint will be removed on or after 2026-11-12.

Successful response

Media typeapplication/json
object
phase
required
string
Allowed value: post-unlock
unlockedAt
required
string | null

Example

{
"phase": "post-unlock"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}